#!/usr/bin/env python3

import sys
from electrum.storage import WalletStorage

try:
    path = sys.argv[1]
except Exception:
    print("usage: watch_address <bitcoin_address>")
    sys.exit(1)

storage = WalletStorage(path)
storage.put("channels", None)
storage.put("lightning_channel_key_der_ctr", None)
storage.put("lightning_privkey", None)
storage.put("lightning_privkey2", None)
storage.put("lightning_invoices", None)
storage.put("lightning_payments_inflight", None)
storage.put("lightning_payments_completed", None)
storage.write()
